FreeMat

- Main Page
- Related Pages

vtkCellData

Section: Visualization Toolkit Filtering Classes

# Usage

vtkCellData is a class that is used to represent and manipulate cell attribute data (e.g., scalars, vectors, normals, texture coordinates, etc.) Special methods are provided to work with filter objects, such as passing data through filter, copying data from one cell to another, and interpolating data given cell interpolation weights.

To create an instance of class vtkCellData, simply invoke its constructor as follows

      obj = vtkCellData

# Methods

The class vtkCellData has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCellData class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCellData = obj.NewInstance ()`
- `vtkCellData = obj.SafeDownCast (vtkObject o)`